import { FileMetadataGetter, FileMetadataSetter, FunctionInvocationFilePaths, LocalFileResolver } from "..";
export declare class TransformationLocalFileManager {
    private readonly apexFileName;
    getMetadata(paths: FunctionInvocationFilePaths): FileMetadataGetter;
    setMetadata(paths: FunctionInvocationFilePaths): FileMetadataSetter;
    resolveFilePath(paths: FunctionInvocationFilePaths): LocalFileResolver;
    private resolveMetadataPath;
    /**
     * Q: Why use two DIRs instead of a single DIR and replace every "/" with a "/_" to support apex files?
     *
     * A: While the single directory approach is cleaner, it creates more work for plugins that operate against entire
     *    directories. For example, the upload-compression-plugin, which needs to extract files to a directory. If we used
     *    the single directory abstraction (which relies on renaming files to contain a "_" prefix), such plugins would need
     *    to somehow inject a path translation middleware into the code that determines where to (for example) extract files.
     *
     * Sync with: upload-transformer/TransformationFunctionInvoker/resolveFilePath
     */
    private resolvePath;
    private resolveFilePathSafely;
    private exists;
}
