/**
 * NOTE: this error is only handled gracefully for plugins that are hosted as dedicated transformation APIs.
 */
export declare class TransformationDisplayableError extends Error {
    readonly errorCode: string;
    readonly isClientError: boolean;
    readonly httpStatusCode?: number | undefined;
    readonly details?: {
        [key: string]: unknown;
    } | undefined;
    /**
     * @param message Human readable message.
     * @param errorCode Machine readable error code.
     * @param isClientError False if a bug, true if client has any recourse.
     * @param httpStatusCode Status code, if the application supports custom status codes.
     *                   API supports custom status codes. Transform and Edge do not.
     */
    constructor(message: string, errorCode: string, isClientError: boolean, httpStatusCode?: number | undefined, details?: {
        [key: string]: unknown;
    } | undefined);
}
